
class System.Windows.Forms.Control
inherits System.ComponentModel.Component
implements System.Windows.Forms.IDropTarget,
           System.ComponentModel.ISynchronizeInvoke,
           System.Windows.Forms.IWin32Window,
           System.Windows.Forms.IBindableComponent, 
           System.ComponentModel.IComponent,
           System.IDisposable:

   define property BackColor as System.Drawing.Color
      get.
      set.
   
   /* this should be type System.Windows.Forms.Control+ControlCollection */
   /* inner class but 4GL OO doesn't support that so we encode it here   */
   /* as the parent class of ControlCollection */
   define property Controls as System.Windows.Forms.Layout.ArrangedElementCollection
      get.
      
   define property ForeColor as System.Drawing.Color
      get.
      set.
      
   define property Dock as System.Windows.Forms.DockStyle
      get.
      set.
      
   define property Height as integer
      get.
      set.
      
   define property Location as System.Drawing.Point
      get.
      set.
           
   define property Name as character
      get.
      set.
      
   define property Size as System.Drawing.Size
      get.
      set.
      
   define property TabIndex as integer
      get.
      set.
      
   define property Text as character
      get.
      set.
           
   define property Width as integer
      get.
      set.
      
   method public void Focus():
   end method.
           
   method public void Hide():
   end method.
           
   method public void PerformLayout():
   end method.
   
   method public void ResumeLayout(input layout as logical):
   end method.
   
   method public void Show():
   end method.
      
   method public void SuspendLayout():
   end method.
   
end class.
